# Test a webhook subscription by pinging it with a sample payload

More information about testing webhook subscriptions is available on the <a href="/webhooks/webhooks-overview#test-a-webook">Testing Webhook Subscriptions</a> page.

Endpoint: POST /v2/webhooks/subscriptions/{subscription_id}/ping
Version: 2026-05-01
Security: oauth2_as_a_server, oauth2_as_a_user

## Path parameters:

  - `subscription_id` (integer, required)
    Id of the subscription to ping

## Response 200 fields (application/json):

  - `data` (object)

  - `data.delivery` (object)

  - `data.delivery.id` (string)
    The unique id of the delivery. This value is also provided in the 'X-SocialChorus-Delivery' header of the request made to the subscription's url.
    Example: abc123-456

  - `data.delivery.status` (string)
    A value indicating the status of the delivery and the response we received back when sending the delivery to the subscription's url.
    Enum: "pending", "success", "failure", "retryable"

  - `data.subscription` (object)

  - `data.subscription.id` (string)
    Unique identifier for this subscription.
    Example: abc123

  - `data.subscription.url` (string)
    The url that will be called when delivering events for this subscription.
    Example: https://example.com/webhook

## Response 401 fields (*/*):

  - `errors` (array)

  - `errors.code` (integer)
    Example: 401

  - `errors.title` (string)
    Example: Unauthenticated

  - `errors.detail` (string)
    Example: Access token was not provided or not recognized.

## Response 403 fields (*/*):

  - `errors` (array)

  - `errors.code` (integer)
    Example: 403

  - `errors.title` (string)
    Example: Unauthorized

  - `errors.detail` (string)

